neko_ruby-2.0.0.tardist and neko_rubygems-2.5.0.tardist in /incoming

IRIX/Nekoware development, porting and related topics.
Forum rules
Any posts concerning pirated software or offering to buy/sell/trade commercial software are subject to removal.
User avatar
necron2600
Posts: 261
Joined: Tue May 26, 2015 10:38 pm
Location: Boston

neko_ruby-2.0.0.tardist and neko_rubygems-2.5.0.tardist in /incoming

Unread postby necron2600 » Thu Nov 12, 2015 9:54 am

A more recent Ruby version. 2.0.0 is not the latest, i had trouble with newer versions and went backwards in versions for troubleshooting. I do believe the very latest can compile based on the work done with this 2.0.0 version but I have not gotten around to it.
They should show up in my downloads folder sometime later:
http://www.nekochan.net/downloads/index ... ecron2600/

-Kevin

diegel
Donor
Donor
Posts: 351
Joined: Tue Nov 17, 2009 2:08 am
Location: Hamburg, Germany

Re: neko_ruby-2.0.0.tardist and neko_rubygems-2.5.0.tardist in /incoming

Unread postby diegel » Thu Nov 12, 2015 11:19 pm

Thank you very much. I try to test it during the weekend.
:Tezro: :Fuel: :Octane2: :Octane: :Onyx2: :O2+: :O2: :Indy: :Indigo: :Cube:

User avatar
necron2600
Posts: 261
Joined: Tue May 26, 2015 10:38 pm
Location: Boston

Re: neko_ruby-2.0.0.tardist and neko_rubygems-2.5.0.tardist in /incoming

Unread postby necron2600 » Fri Nov 18, 2016 9:29 am

UPDATE/FIX for gem to install from rubygems.org due to an SSL issue

Example error:
ERROR: Could not find a valid gem 'blah' (>= 0), here is why:
Unable to download data from https://rubygems.org/ - SSL_connect returned=1 errorno=2 state=SSLv3 read server certificate B: certificate verify failed (https://api.rubygems.org/specs4.8.gz)

FIX is here:
https://github.com/rubygems/rubygems/issues/1761
In particular in a comment on that page.. referencing a fix:
https://raw.githubusercontent.com/rubyg ... RootCA.pem

For the neko_ruby-2.0.0 installed package:
create a file:
/usr/nekoware/lib/ruby/site_ruby/2.0.0/rubygems/ssl_certs/GlobalSignRootCA.pem
with the following contents:
-----BEGIN CERTIFICATE-----
MIIDdTCCAl2gAwIBAgILBAAAAAABFUtaw5QwDQYJKoZIhvcNAQEFBQAwVzELMAkG
A1UEBhMCQkUxGTAXBgNVBAoTEEdsb2JhbFNpZ24gbnYtc2ExEDAOBgNVBAsTB1Jv
b3QgQ0ExGzAZBgNVBAMTEkdsb2JhbFNpZ24gUm9vdCBDQTAeFw05ODA5MDExMjAw
MDBaFw0yODAxMjgxMjAwMDBaMFcxCzAJBgNVBAYTAkJFMRkwFwYDVQQKExBHbG9i
YWxTaWduIG52LXNhMRAwDgYDVQQLEwdSb290IENBMRswGQYDVQQDExJHbG9iYWxT
aWduIFJvb3QgQ0EwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDaDuaZ
jc6j40+Kfvvxi4Mla+pIH/EqsLmVEQS98GPR4mdmzxzdzxtIK+6NiY6arymAZavp
xy0Sy6scTHAHoT0KMM0VjU/43dSMUBUc71DuxC73/OlS8pF94G3VNTCOXkNz8kHp
1Wrjsok6Vjk4bwY8iGlbKk3Fp1S4bInMm/k8yuX9ifUSPJJ4ltbcdG6TRGHRjcdG
snUOhugZitVtbNV4FpWi6cgKOOvyJBNPc1STE4U6G7weNLWLBYy5d4ux2x8gkasJ
U26Qzns3dLlwR5EiUWMWea6xrkEmCMgZK9FGqkjWZCrXgzT/LCrBbBlDSgeF59N8
9iFo7+ryUp9/k5DPAgMBAAGjQjBAMA4GA1UdDwEB/wQEAwIBBjAPBgNVHRMBAf8E
BTADAQH/MB0GA1UdDgQWBBRge2YaRQ2XyolQL30EzTSo//z9SzANBgkqhkiG9w0B
AQUFAAOCAQEA1nPnfE920I2/7LqivjTFKDK1fPxsnCwrvQmeU79rXqoRSLblCKOz
yj1hTdNGCbM+w6DjY1Ub8rrvrTnhQ7k4o+YviiY776BQVvnGCv04zcQLcFGUl5gE
38NflNUVyRRBnMRddWQVDf9VMOyGj/8N7yy5Y0b2qvzfvGn9LhJIZJrglfCm7ymP
AbEVtQwdpf5pLGkkeB6zpxxxYu7KyJesF12KwvhHhm4qxFYxldBniYUr+WymXUad
DKqC5JlR3XC321Y9YeRq4VzW9v493kHMB65jUr9TU/Qr6cf9tveCX4XSQRjbgbME
HMUfpIBvFSDJ3gyICh3WZlXi/EjJKSZp4A==
-----END CERTIFICATE-----

Should be good to go using gem install.


Return to “SGI: Development”

Who is online

Users browsing this forum: No registered users and 2 guests